package com.tofly.security.component.user;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
public class SysTenantEntity extends AuditRelatedEntity {

  private static final long serialVersionUID = 4848421848961008112L;
  private String name;

  private String icon;

  private boolean enabled = true;

  private String description;

  private String defaultConfig;

  private Date tenantExpireTime;

  /** TB的租户ID */
  private String tenantId;

  /** 租户配置ID */
  private String tenantProfileId;
}
