package com.tofly.security.component.user;

import com.fasterxml.jackson.databind.JsonNode;
import com.tofly.security.id.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class TkSmsLogEntity extends BaseEntity {

  private static final long serialVersionUID = 2778820322396894328L;

  /** 短信平台类型 */
  private String type;

  /** 发送状态：ResponseCodeEnum枚举值 */
  private String status;

  /** 发送时间 */
  private LocalDateTime sendTime;

  /** 发送手机号 */
  private String toPhone;

  /** 发送模板参数 */
  private JsonNode templateParam;

  /** 租户Code */
  private String tenantId;

  /** 模板ID */
  private String messageTemplateId;

  /**用途*/
  private String templatePurpose;

  /**备注*/
  private String remark;
}
