package com.tofly.security.id;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Set;

/** for authentication */
@EqualsAndHashCode(callSuper = true)
@Data
public class UserDetailsDTO extends BaseDTO implements Serializable {

  private static final long serialVersionUID = -515966143236266646L;

  private String id;

  private String username;

  private String password;

  private boolean enabled;

  private LocalDateTime accountExpireTime;

  private TenantDTO tenant;

  private String tenantId;

  private Set<UserDetailRoleDTO> roles;
}
