package com.tofly.base.config;

import com.baomidou.mybatisplus.core.incrementer.IdentifierGenerator;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Configuration
@Component
@MapperScan({"com.tofly.yxBase.mapper", "com.tofly.yxBase.mapper.*"})
public class CustomerIdGenerator implements IdentifierGenerator {
    /**
     * 重新写ID生成
     * @param entity
     * @return
     */
    @Override
    public Number nextId(Object entity) {
        return IdGenerator.generateId();
    }

    @Override
    public String nextUUID(Object entity) {
        return IdGenerator.uuid();
    }


}