package com.tofly.base.entity.appdesign;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.base.server.common.data.TenantBaseEntity;
import com.tofly.base.server.common.data.constant.ModelConstants;
import lombok.Data;
import lombok.RequiredArgsConstructor;

/**
 * @author: 徐浩然
 * @desc: APP定制
 * @date: 2021/12/3-18:23
 */
@Data
@RequiredArgsConstructor
@TableName(ModelConstants.Table.SYS_APP_DESIGN_TABLE_NAME)
public class SysAppDesignEntity extends TenantBaseEntity {
  private static final long serialVersionUID = -3412813210017919075L;
  /** 平台名称 */
  private String name;
  /** logo地址 */
  private String logo;
  /** 背景图片地址 */
  private String background;
  /** 背景颜色 */
  private String backgroundColor;
  /** 轮播图,地址","分割 */
  private String rotation;
}
