package com.tofly.base.entity.area;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.base.server.common.data.constant.ModelConstants;
import com.tofly.base.server.common.data.enums.AreaLevelEnum;
import lombok.Data;

/**
 * @author: 徐浩然
 * @desc: 中国省市区街关联
 * @date: 2021/12/15-17:31
 */
@Data
@TableName(ModelConstants.Table.SYS_AREA_TABLE_NAME)
public class SysAreaEntity {
  private Long parentId;
  private AreaLevelEnum level;
  private String name;
  private Long code;
}
