package com.tofly.base.entity.menu;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author Mu
 * @date 2023-07-12
 *
 * @description (FormVisibleConfig实体类)
 */
@Data
@TableName("form_visible_config")
@ApiModel(value = "", description = "对象 formVisibleConfig")
public class ColumnAuthVO {

        /**
     * 主键
     */
    private Long id;
    /**
     * 配置id
     */
    private Long configId;
        /**
     * 业务编码
     */
    private String menuId;
        /**
     * 字段
     */
    private String propField;
    /**
     * 字段
     */
    private String propName;
    /**
     * 是否可见 0 可见   1 隐藏
     */
    private String isVisible;
    /**
     * 角色id
     */
    private String roleId;
}
