package com.tofly.base.entity.user;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.base.server.common.data.TenantBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName(com.tofly.base.server.common.data.constant.ModelConstants.Table.TK_MESSAGE_TEMPLATE_TABLE_NAME)
public class TkMessageTemplateEntity extends TenantBaseEntity {

  private static final long serialVersionUID = 6347635507829273091L;

  /** 模板名称 */
  private String templateName;

  /** 模板签名 */
  private String signName;

  /** 模板CODE */
  private String templateCode;

  /** 消息配置 */
  private String messageConfigId;

  /** 模板用途 */
  private String templatePurpose;

  /** 消息类型 */
  private String messageType;

  /** 状态：0禁用 1启用 */
  private Integer status;
}
