package com.tofly.base.mapper.role;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.base.entity.menu.ColumnAuthQuery;
import com.tofly.base.entity.menu.ColumnAuthVO;
import com.tofly.base.entity.role.RoleMenuColumn;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author Mu
 * @date 2023-07-26
 *
 * @description
 */
@Mapper
public interface RoleMenuColumnMapper extends BaseMapper<RoleMenuColumn> {

    List<ColumnAuthVO> getColumnsByMenuAndRole(ColumnAuthQuery columnAuthQuery);
    List<ColumnAuthVO> getColumnsByMenuAndRoleVisible(ColumnAuthQuery columnAuthQuery);

    List<ColumnAuthVO> getColumnsByMenuAndRoleAdmin(ColumnAuthQuery columnAuthQuery);
}
