/**
 * Copyright © 2016-2022 The Thingsboard Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.tofly.base.server.common.data;

public class CacheConstants {
    public static final String DEVICE_CREDENTIALS_CACHE = "deviceCredentials";
    public static final String RELATIONS_CACHE = "relations";
    public static final String DEVICE_CACHE = "devices";
    public static final String SESSIONS_CACHE = "sessions";
    public static final String ASSET_CACHE = "assets";
    public static final String ENTITY_VIEW_CACHE = "entityViews";
    public static final String EDGE_CACHE = "edges";
    public static final String CLAIM_DEVICES_CACHE = "claimDevices";
    public static final String SECURITY_SETTINGS_CACHE = "securitySettings";
    public static final String TENANT_PROFILE_CACHE = "tenantProfiles";
    public static final String DEVICE_PROFILE_CACHE = "deviceProfiles";
    public static final String ATTRIBUTES_CACHE = "attributes";
    public static final String TOKEN_OUTDATAGE_TIME_CACHE = "tokensOutdatageTime";
    public static final String OTA_PACKAGE_CACHE = "otaPackages";
    public static final String OTA_PACKAGE_DATA_CACHE = "otaPackagesData";
}
