package com.tofly.base.server.common.data.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
public class FileUploadResponse {
  @ApiModelProperty(value = "文件名称")
  private String fileName;

  @ApiModelProperty(value = "文件下载地址")
  private String fileDownloadUri;

  @ApiModelProperty(value = "文件类型")
  private String fileType;

  @ApiModelProperty(value = "文件大小")
  private long size;

  @ApiModelProperty(value = "文件静态资源地址")
  private String fileStaticUri;
}
