package com.tofly.base.server.common.data.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.RequiredArgsConstructor;

/**
 * @author: 徐浩然
 * @desc: 平台定制
 * @date: 2021/12/3-18:20
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "平台定制")
@RequiredArgsConstructor
public class SysPlatformDesignDTO extends BaseDTO {
  @ApiModelProperty(value = "平台名称")
  private String name;

  @ApiModelProperty(value = "logo地址")
  private String logo;

  @ApiModelProperty(value = "icon图标地址")
  private String icon;

  @ApiModelProperty(value = "背景图片地址")
  private String background;

  @ApiModelProperty(value = "背景颜色")
  private String backgroundColor;

  @ApiModelProperty(value = "版权信息")
  private String copyright;

  @ApiModelProperty(value = "备案信息")
  private String presentedOurselves;

  @ApiModelProperty(value = "域名")
  private String domain;
}
