package com.tofly.base.server.common.data.dto.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "密码修改")
public class AccountReqDTO {

    @ApiModelProperty(value = "用户ID")
    private List<String> userIdList;

    @ApiModelProperty(value = "用户ID")
    private String userId;
    
    @ApiModelProperty(value = "用户账号")
    private String userName;    
    
    @ApiModelProperty(value = "旧密码,旧密码为空表示设置初始密码")
    private String password;
    
    @ApiModelProperty(value = "新密码",required = true)
    private String resetPassword;
}
