package com.tofly.base.server.common.data.dto.request;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

@Data
public class RoleOrOrganizationReqDTO implements Serializable {

  private static final long serialVersionUID = -5917331728153319765L;
  /** 是否查询关联角色 */
  private boolean queryRole;

  /** 是否查询关联组织 */
  private boolean queryOrganization;

  /** 用户ID */
  @NotEmpty(message = "用户ID不能为空或者空字符串")
  private String userId;

  /** 角色或组织的ID */
  private String id;
}
