package com.tofly.base.server.common.data.dto.request;


import com.tofly.base.server.common.data.enums.RoleEnum;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Data
public class RoleReqDTO {
  private String id;
  private String name;
  private String remark;
  private RoleEnum roleType;
  private int status;
  private List<String> menu;
  private List<Map<String, Object>> fieldMap = new ArrayList<>();
}
