package com.tofly.base.server.common.data.enums;

/**
 * @version V1.0
 * @Description :  资源状态，
 * 例如：消息模板等。
 * 1.其它地方抛出异常，交由控制层统一处理
 * 2.服务层注意持久化的事务管理
 * @Dependency: 依赖包
 * @Author: junlianglee
 * @Date Created in 2021/11/24$
 * @Copyright 2016-2018  - Powered By 同飞科技
 */
public enum AssetStatusEnum {
    DISABLED,
    ENABLE
}
