package com.tofly.base.server.common.data.utils;

import org.springframework.core.annotation.AliasFor;

import java.lang.annotation.*;

/** 表示这个是一个<em>演示</em>，这不是一个正式方法，参照写法完成以后，请删掉demo的方法或者字段演示 */
@Target({ElementType.TYPE, ElementType.FIELD, ElementType.METHOD})
@Retention(RetentionPolicy.SOURCE)
@Documented
public @interface Demo {
  String value() default "";

  @AliasFor(attribute = "value")
  String description() default "";
}
