package com.tofly.base.server.common.data.utils.tools;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;

@Data
@NoArgsConstructor
public class TkPageData<T> implements Serializable {
  private static final long serialVersionUID = -5385636733740491124L;
  private int total;
  private Collection<T> items = new ArrayList<>();

  public TkPageData(Collection<T> list, long total) {
    this.items = list;
    this.total = (int) total;
  }
}
