package com.tofly.base.server.common.data.utils.tools;

import lombok.Data;

@Data
public class TkSortOrder {
    private final String property;
    private final Direction direction;

    public TkSortOrder(String property) {
        this(property, Direction.ASC);
    }

    public TkSortOrder(String property, Direction direction) {
        this.property = property;
        this.direction = direction;
    }

    public static enum Direction {
        ASC, DESC
    }
}
