package com.tofly.base.service.platform;

import com.tofly.base.entity.platform.SysPlatformDesignEntity;
import com.tofly.base.server.common.data.dto.SysPlatformDesignDTO;
import com.tofly.base.service.BaseService;

/**
 * @author: 徐浩然
 * @desc:
 * @date: 2021/12/3-18:39
 */
public interface SysPlatformDesignService extends BaseService<SysPlatformDesignEntity> {
    boolean save(SysPlatformDesignDTO sysPlatformDesignDTO, String tenantId);

    SysPlatformDesignDTO get(String tenantId);

    boolean update(SysPlatformDesignDTO sysPlatformDesignDTO,String tenantId);

    /**
     * 恢复出厂设置
     * @return true 成功 false 失败
     */
    boolean factoryDataReset(String tenantId);
}
