package com.tofly.base.service.role.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.base.entity.menu.ColumnAuthQuery;
import com.tofly.base.entity.menu.ColumnAuthVO;
import com.tofly.base.entity.role.RoleMenuColumn;
import com.tofly.base.mapper.role.RoleMenuColumnMapper;
import com.tofly.base.server.common.data.utils.tools.TkPageData;
import com.tofly.base.service.role.RoleMenuColumnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Mu
 * @date 2023-07-26
 *
 * @description
 */
@Service
public class RoleMenuColumnServiceImpl extends ServiceImpl<RoleMenuColumnMapper, RoleMenuColumn> implements RoleMenuColumnService {


        @Autowired
        private RoleMenuColumnMapper roleMenuColumnMapper;

        @Override
        public TkPageData<RoleMenuColumn> page(RoleMenuColumn roleMenuColumn) {
            /*// 创建分页对象，设置当前页和每页记录数
            Page<RoleMenuColumn> page = new Page<>(roleMenuColumn.getPage(), roleMenuColumn.getPageSize());

            // 构造查询条件
            Wrapper<RoleMenuColumn> wrapper = new QueryWrapper<RoleMenuColumn>();

            // 执行分页查询
            return getPageData(roleMenuColumnMapper.selectPage(page, wrapper),RoleMenuColumn.class);*/
            return null;
        }

    @Override
    public List<ColumnAuthVO> getColumnsByMenuAndRoleVisible(ColumnAuthQuery columnAuthQuery) {
        return roleMenuColumnMapper.getColumnsByMenuAndRoleVisible(columnAuthQuery);
    }

    @Override
    public List<ColumnAuthVO> getColumnsByMenuAndRole(ColumnAuthQuery columnAuthQuery) {
        return roleMenuColumnMapper.getColumnsByMenuAndRole(columnAuthQuery);
    }

    @Override
    public List<ColumnAuthVO> getColumnsByMenuAndRoleAdmin(ColumnAuthQuery columnAuthQuery) {
        return roleMenuColumnMapper.getColumnsByMenuAndRoleAdmin(columnAuthQuery);
    }
}


