//package com.tofly.base.service.user.impl;
//import com.baomidou.mybatisplus.core.metadata.IPage;
//import lombok.RequiredArgsConstructor;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.commons.lang3.StringUtils;
//import org.springframework.stereotype.Service;
//import org.springframework.transaction.annotation.Transactional;
//import org.thingsboard.server.common.data.yunteng.constant.FastIotConstants;
//import org.thingsboard.server.common.data.yunteng.core.exception.TkDataValidationException;
//import org.thingsboard.server.common.data.yunteng.core.message.ErrorMessage;
//import org.thingsboard.server.common.data.yunteng.dto.MessageTemplateDTO;
//import org.thingsboard.server.common.data.yunteng.utils.tools.TkPageData;
//import org.thingsboard.server.dao.yunteng.entities.TkMessageTemplateEntity;
//import org.thingsboard.server.dao.yunteng.mapper.MessageTemplateMapper;
//import org.thingsboard.server.dao.yunteng.service.AbstractBaseService;
//import org.thingsboard.server.dao.yunteng.service.TkMessageTemplateService;
//
//import java.util.List;
//import java.util.Map;
//import java.util.Set;
//
//@Service
//@Slf4j
//@RequiredArgsConstructor
//public class TkMessageTemplateServiceImpl
//    extends AbstractBaseService<MessageTemplateMapper, TkMessageTemplateEntity>
//    implements TkMessageTemplateService {
//  @Override
//  public TkPageData<MessageTemplateDTO> page(Map<String, Object> queryMap) {
//    IPage<TkMessageTemplateEntity> configIPage = getPage(queryMap, FastIotConstants.DefaultOrder.CREATE_TIME,false);
//    IPage<MessageTemplateDTO> iPage = baseMapper.getTemplatePage(configIPage,queryMap);
//    return getPageData(iPage, MessageTemplateDTO.class);
//  }
//
//  @Override
//  @Transactional
//  public MessageTemplateDTO saveMessageTemplate(MessageTemplateDTO templateDTO) {
//    TkMessageTemplateEntity messageTemplate = new TkMessageTemplateEntity();
//    templateDTO.copyToEntity(messageTemplate);
//    messageTemplate.setTenantId(templateDTO.getTenantId());
//    baseMapper.insert(messageTemplate);
//    messageTemplate.copyToDTO(templateDTO);
//    return templateDTO;
//  }
//
//  @Override
//  @Transactional
//  public boolean deleteMessageTemplate(Set<String> ids) {
//    return baseMapper.deleteBatchIds(ids) > 0;
//  }
//
//  @Override
//  @Transactional
//  public MessageTemplateDTO updateMessageTemplate(MessageTemplateDTO templateDTO) {
//
//    //查询该租户下 是否已经启用相同消息类型、相同用途的模板
//    if(null!=templateDTO.getStatus() && templateDTO.getStatus() == FastIotConstants.MagicNumber.ONE){
//      MessageTemplateDTO queryTemplate = new MessageTemplateDTO();
//      queryTemplate.setTemplatePurpose(templateDTO.getTemplatePurpose());
//      queryTemplate.setMessageType(templateDTO.getMessageType());
//      queryTemplate.setTenantId(templateDTO.getTenantId());
//      queryTemplate.setStatus(FastIotConstants.MagicNumber.ONE);
//      if(StringUtils.isEmpty(templateDTO.getTemplatePurpose()) || StringUtils.isEmpty(templateDTO.getMessageType())){
//        throw new TkDataValidationException(ErrorMessage.INVALID_PARAMETER.getMessage());
//      }
//      List<MessageTemplateDTO> messageTemplateDTOList = baseMapper.findMessageTemplate(queryTemplate);
//      if(null!=messageTemplateDTOList && messageTemplateDTOList.size()>0){
//        throw new TkDataValidationException(ErrorMessage.EXIST_ENABLE_TEMPLATE.getMessage());
//      }
//    }
//    TkMessageTemplateEntity messageTemplate = baseMapper.selectById(templateDTO.getId());
//    templateDTO.copyToEntity(messageTemplate);
//    baseMapper.updateById(messageTemplate);
//    messageTemplate.copyToDTO(templateDTO);
//    return templateDTO;
//  }
//
//  @Override
//  public List<MessageTemplateDTO> findMessageTemplate(MessageTemplateDTO templateDTO) {
////    templateDTO.setTenantId(SecurityContext.getCurrentUser().getTenantId());
//    return baseMapper.findMessageTemplate(templateDTO);
//  }
//}
