package com.tofly.pms.entity;

import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Getter;
import lombok.Setter;

/**
 * 实体基类:适配老的表，有is_deleted字段的
 */
@Getter
@Setter
public class BaseEntityAdaptiveIsDelete extends BaseEntityAdaptiveOnlyId{

    /**
     * 是否删除
     */
    @TableLogic
    private String isDeleted;
}
