package com.tofly.pms.fegin;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(contextId = "baseDictService", value = "pms-base")
public interface DictItemClient {

    @GetMapping("api/yt/dict_item/itemInfo")
    public Object getDicInfo(@RequestParam("dictCode") String dictCode, @RequestParam("itemValue") String itemValue);


    @GetMapping("api/yt/dict_item/itemInfoByName")
    public Object getItemInfoByName(@RequestParam("dictCode") String dictCode, @RequestParam("itemName") String itemName);

    @GetMapping("api/yt/dict_item/getDicItemText")
    String getDicItemText(@RequestParam("dictCode") String dictCode, @RequestParam("itemValue") String itemValue);

    @GetMapping("api/yt/dict_item/getDicItemValue")
    String getCodeByValue(@RequestParam("itemText") String itemText, @RequestParam("dictCode") String dictCode);
}
