package com.tofly.pms.fegin;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author sheldon
 * @Description
 * @create 2024-04-26 14:21
 */
@FeignClient(contextId = "orgClient", value = "pms-base")
public interface OrgClient {
    @GetMapping("/api/yt/organization/getChildrenId")
    List<String> getChildrenId(@RequestParam("id") String id);
}
