package com.tofly.pms.fegin.factory;

import com.tofly.pms.fegin.UserClient;
import com.tofly.pms.fegin.vo.UserVo;
import org.springframework.stereotype.Component;

import java.util.Collections;
import java.util.List;

@Component
public class UserFeignClientHystrix implements UserClient {


    @Override
    public UserVo getUserInfo(String id) {
        System.out.println("=======================>UserFeignClientHystrix ");


        return new UserVo();
    }

    @Override
    public List<UserVo> getUserIdByName(String username) {
        final List<UserVo> objects = Collections.emptyList();
        return objects;

    }

    @Override
    public List<UserVo> getUserIdByRealName(List<String> nameList) {
        final List<UserVo> objects = Collections.emptyList();
        return objects;
    }
}