package com.tofly.pms.file.constant;

import lombok.Getter;
@Getter
public enum FileUploadTypeEnum {

    TASK("1","TF_PM_TASKLOG_W","id"),
    PLAN("2","TF_PM_PLAN_W","id")
    ;

    /**
     * 上传类型
     */
    private String type;
    /**
     * 表名
     */
    private String tableName;
    /**
     * 关联字段
     */
    private String tableFiled;

    FileUploadTypeEnum(String type, String tableName, String tableFiled) {
        this.type = type;
        this.tableName = tableName;
        this.tableFiled = tableFiled;
    }
}
