package com.tofly.pms.project.service;

import com.tofly.pms.base.service.BaseService;
import com.tofly.pms.fegin.vo.UserVo;
import com.tofly.pms.project.entity.ProjectW;
import com.tofly.pms.project.vo.ProjectNameAndId;

import java.util.List;

/**
 * 项目基础信息表;(TF_PM_PROJECT_W)表服务接口
 * @author : Xu'J
 * @date : 2023-12-19
 */
public interface ProjectWService extends BaseService<ProjectW> {

    List<String> getCustomNameList();

    List<ProjectW> getMyProjectList();


    List<UserVo> getUserByProjectId(Integer projectId);
    List<UserVo> getUserVoByUserId( List<String> userIdList);

    List<ProjectNameAndId> getAllProject();

    List<Integer> getSelfProjectId();
    List<Integer> getProjectIdByUserId(String userID);

}