package com.tofly.pms.testmanage.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tofly.pms.testmanage.entity.TestSystem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 测试系统名称表;(TF_PM_TESTSYSTEM_W)表数据库访问层
 * @author : Xu'J
 * @date : 2023-12-19
 */
@Mapper
public interface TestSystemWMapper  extends BaseMapper<TestSystem>{
    /** 
     * 分页查询指定行数据
     *
     * @param page 分页参数
     * @param wrapper 动态查询条件
     * @return 分页对象列表
     */
    IPage<TestSystem> selectByPage(IPage<TestSystem> page , @Param(Constants.WRAPPER) Wrapper<TestSystem> wrapper);

    public Map countThrowRateOverProject();


}