package com.tofly.pms.testmanage.vo;

import com.tofly.pms.project.entity.ProjectW;
import com.tofly.pms.project.service.ProjectWService;
import com.tofly.pms.utils.vocast.VoCast;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ProjectBugCountVo implements Serializable {
    @ApiModelProperty(value = "项目id")
    @VoCast(serviceClass = ProjectWService.class,valueClass = ProjectW.class)
    private Integer projectId;
    @ApiModelProperty(value = "提测率")
    private Double testRate;
    @ApiModelProperty(value = "通过率")
    private Double passRate;


    private List<SystemBugCountVo> datas;

}
