package com.tofly.pms.utils.vocast;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface VoCast {
   /*
     查取该字段的service 的类名
    */
    Class serviceClass();
    /*
    查询需要使用的目标字段
     */
    boolean isMulti() default  false;
    /*
    返回的映射实体的名称
     */
    Class valueClass();
}
