package com.tofly.pms.working.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.pms.testmanage.entity.BugInfo;
import com.tofly.pms.working.entity.PerformanceAppraisal;
import com.tofly.pms.working.entity.SimpleUser;
import com.tofly.pms.working.entity.TaskW;
import com.tofly.pms.working.service.impl.PerformanceAppraisalServiceImpl;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author sheldon
* @description 针对表【tf_pm_performance_appraisal_w(研发绩效考核统计)】的数据库操作Mapper
* @createDate 2024-06-26 11:03:27
* @Entity generator.domain.PerformanceAppraisal
*/
@Mapper
public interface PerformanceAppraisalMapper extends BaseMapper<PerformanceAppraisal> {


    List<SimpleUser> getUserList();

    List<TaskW> getTaskList(@Param("userId") String userId,@Param("month") String month);

    Long getRejectCount(@Param("taskIdList") List<Integer> taskIdList);
    Long getRejectCount2(@Param("bugIdList")List<Integer> bugIdList);

    List<String> getProjectNameList(@Param("projectIdList")List<Integer> projectIdList);

    List<BugInfo> getBugList(@Param("userId") String userId,@Param("month") String month);


}




