package com.tofly.pms.working.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author sheldon
 * @Description 项目工时统计
 * @create 2024-04-12 9:42
 */
@Data
public class ProjectWorkingCountVo {

    @ExcelProperty(value = "项目名称", index = 0)
    @ApiModelProperty(value = "项目名称")
    private String name;
    @ExcelProperty(value = "客户名称", index = 1)
    @ApiModelProperty(value = "客户名称")
    private String customName;
    @ExcelProperty(value = "合同名称", index = 2)
    @ApiModelProperty(value = "合同名称")
    private String contractName;
    @ExcelProperty(value = "合计笔数", index = 3)
    @ApiModelProperty(value = "合计笔数")
    private Integer count;
    @ExcelProperty(value = "合计小时", index = 4)
    @ApiModelProperty(value = "合计小时")
    private Double workingHours;
    @ExcelProperty(value = "合计人天", index = 5)
    @ApiModelProperty(value = "合计人天")
    private Double workingDays;
    @ExcelProperty(value = "合计人月", index = 6)
    @ApiModelProperty(value = "合计人月")
    private Double workingMonths;
    @ExcelIgnore
    @ApiModelProperty(value = "项目id")
    private Integer id;
}
