package com.tofly.pms.working.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author sheldon
 * @Description
 * @create 2024-04-22 16:52
 */
@Data
public class TodayTaskCompleteVo {
    @ApiModelProperty(value = "今日完成任务")
    private Integer completeTask;
    @ApiModelProperty(value = "今日逾期任务")
    private Integer overdueTask;
    @ApiModelProperty(value = "今日被驳回任务")
    private Integer rejectTask;
    @ApiModelProperty(value = "今日待处理任务")
    private Integer todoTask;
//    今日创建*个，确认*个，驳回*个，待确认*个。退回
    @ApiModelProperty(value = "今日创建任务")
    private Integer createTask;
    @ApiModelProperty(value = "今日确认任务")
    private Integer verifyTask;
    @ApiModelProperty(value = "今日驳回任务")
    private Integer regressionTask;
    @ApiModelProperty(value = "待确认任务")
    private Integer awaitVerifyTask;
    @ApiModelProperty(value = "今日完成bug")
    private Integer completeBug;
    @ApiModelProperty(value = "今日逾期bug")
    private Integer overdueBug;
    @ApiModelProperty(value = "今日被驳回bug")
    private Integer rejectBug;
    @ApiModelProperty(value = "今日待处理bug")
    private Integer todoBug;


    @ApiModelProperty(value = "今日创建bug")
    private Integer createBug;
    @ApiModelProperty(value = "今日确认bug")
    private Integer verifyBug;
    @ApiModelProperty(value = "今日驳回bug")
    private Integer regressionBug;
    @ApiModelProperty(value = "待确认bug")
    private Integer awaitVerifyBug;
    @ApiModelProperty(value = "正在处理的任务")
    private Integer processingTask;
    @ApiModelProperty(value = "正在处理的bug")
    private Integer processingBug;

    @ApiModelProperty(value = "任务完成明细")
    private List<TaskCompleteVo> taskCompleteVoList;
    @ApiModelProperty(value = "bug完成明细")
    private List<String> bugTitleList;
    @ApiModelProperty(value = "正在处理的任务明细")
    private List<String> processingList;
}
