package com.tofly.security.component.user;

import com.tofly.security.id.TenantBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/** user是所有可登录系统用户 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SysUserEntity extends TenantBaseEntity {
  private static final long serialVersionUID = 834982016421849497L;
  private String username;

  private String realName;

  private String password;

  private String activateToken;

  private String phoneNumber;

  private String email;

  private String avatar;

  private boolean enabled = true;

  private Date accountExpireTime;

  private String deptId;

  /** TB的UserId */
  private String tbUser;

  /** 0：超级管理员；1：租户账号；2：租户下的账号 */
  private Integer level;

  private String  remark;
  
  private Integer isFirst;
}
