package com.tofly.security.component.user;

import com.fasterxml.jackson.databind.JsonNode;
import com.tofly.security.id.TenantBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
public class TkMessageConfigEntity extends TenantBaseEntity {

  private static final long serialVersionUID = -3624943194108704138L;

  /** 配置名称 */
  private String configName;

  /** 平台类型 */
  private String platformType;

  /** 消息类型 */
  private String messageType;

  /** json配置 */
  private JsonNode config;

  /** 状态：0禁用 1启用 */
  private Integer status;

  /** 备注 */
  private String remark;
}
