package com.tofly.security.utils;

import java.util.LinkedHashSet;
import java.util.Set;

public class SetUtil {
    private SetUtil() {

    }

    public static Set<String> toSet(String... strings) {
        if (strings == null) return null;
        Set<String> set = new LinkedHashSet<>();
        for (String s : strings) {
            set.add(s);
        }
        return set;
    }
}
