package com.tofly.base.ding.base.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class DingUserVo {

    // User information
    private boolean leader; // true
    @JsonProperty("exclusive_account_type")
    private String exclusiveAccountType;; // dingtalk|sso
    private String extension; // {"爱好":"旅游","年龄":"24"}
    private String unionid; // z21HjQliSzpw0YWCNxmii6u2Os62cZ62iSZ
    private boolean boss; // true
    @JsonProperty("exclusive_account")
    private String exclusiveAccount; // true
    private boolean admin; // true
    private String remark; // 备注备注
    private String title; // 技术总监
    private long hiredDate; // 1597573616828
    private String userid; // zhangsan
    @JsonProperty("work_place")
    private String workPlace; // 未来park
    private String nickname; // 昵称
    @JsonProperty("dept_id_list")
    private String deptIdList; // [2,3,4]
    @JsonProperty("job_number")
    private String jobNumber; // 4
    private String email; // test@xxx.com
    @JsonProperty("dept_order")
    private String deptOrder;// 1
    @JsonProperty("login_id")
    private String loginId; // login_id3
    @JsonProperty("exclusive_account_corp_name")
    private String exclusiveAccountCorpName; // 组织名称
    private String mobile; // 18513027676
    private boolean active; // true
    private String telephone; // 010-86123456-2345
    private String avatar; // xxx
    @JsonProperty("hide_mobile")
    private boolean hideMobile;// false
    @JsonProperty("exclusive_account_corp_id")
    private String exclusiveAccountCorpId;// corpxxx
    @JsonProperty("org_email")
    private String orgEmail;// test@xxx.com
    private String name; // 张三
    @JsonProperty("state_code")
    private String stateCode; // 86
}
