package com.tofly.base.ding.handle;

import com.aliyun.dingtalkoauth2_1_0.models.GetAccessTokenResponse;
import com.aliyun.dingtalkoauth2_1_0.models.GetAccessTokenResponseBody;
import com.aliyun.tea.TeaException;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class DingLoginHandle {
private static  String dingTokenKey="pms:dingToken";

    /**
     * 使用 Token 初始化账号Client
     * @return Client
     * @throws Exception
     */
    public static com.aliyun.dingtalkoauth2_1_0.Client createClient() throws Exception {
        com.aliyun.teaopenapi.models.Config config = new com.aliyun.teaopenapi.models.Config();
        config.protocol = "https";
        config.regionId = "central";
        return new com.aliyun.dingtalkoauth2_1_0.Client(config);
    }

    public static String getLoinToken ()throws Exception {
        //从静态变量中 获取access_token 验证是否有效
//        final RedisTemplate bean = SpringUtil.getBean(RedisTemplate.class);
//       final String existToken = (String) bean.opsForValue().get(dingTokenKey);
//       if(StringUtils.isNotBlank(existToken)){
//           return  existToken;
//       }

        com.aliyun.dingtalkoauth2_1_0.Client client = DingLoginHandle.createClient();
        com.aliyun.dingtalkoauth2_1_0.models.GetAccessTokenRequest getAccessTokenRequest = new com.aliyun.dingtalkoauth2_1_0.models.GetAccessTokenRequest()
                .setAppKey("dingdwyc0lkjhrouc3fk")
                .setAppSecret("PVvkrLKMQDJ1_ifOoa0wgv5gErQ7TkstXOm5JaWOOBilfl2NHpvLkrBr_RDuIBHl");
        try {
            final GetAccessTokenResponse accessToken = client.getAccessToken(getAccessTokenRequest);
            final GetAccessTokenResponseBody body = accessToken.getBody();
            final String accessToken1 = body.getAccessToken();
         //   bean.opsForValue().set(dingTokenKey,accessToken1,120l, TimeUnit.MINUTES);
          return  accessToken1;

        } catch (TeaException err) {
            if (!com.aliyun.teautil.Common.empty(err.code) && !com.aliyun.teautil.Common.empty(err.message)) {
                // err 中含有 code 和 message 属性，可帮助开发定位问题
             log.error(err.code,err.message);
                throw  err;
            }

        } catch (Exception _err) {
            TeaException err = new TeaException(_err.getMessage(), _err);
            if (!com.aliyun.teautil.Common.empty(err.code) && !com.aliyun.teautil.Common.empty(err.message)) {
                // err 中含有 code 和 message 属性，可帮助开发定位问题
                log.error(err.code,err.message);
                throw  err;
            }

        }
        throw  new RuntimeException("未获取到token");
    }
}
