package com.tofly.base.entity.dic;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.base.server.common.data.TenantBaseEntity;
import com.tofly.base.server.common.data.constant.ModelConstants;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName(ModelConstants.Table.SYS_DICT_TABLE_NAME)
public class SysDictEntity extends TenantBaseEntity {

    private static final long serialVersionUID = -5381101569947327544L;

    /**
     * 字典名称
     */
    private String dictName;

    /**
     * 字典编码
     */
    private String dictCode;

    /**
     * 字典描述
     */
    private String description;
}
