package com.tofly.base.entity.dic;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.base.server.common.data.TenantBaseEntity;
import com.tofly.base.server.common.data.constant.ModelConstants;
import lombok.Data;
import lombok.RequiredArgsConstructor;

@Data
@RequiredArgsConstructor
@TableName(ModelConstants.Table.SYS_DICT_ITEM_TABLE_NAME)
public class SysDictItemEntity extends TenantBaseEntity {

  private static final long serialVersionUID = 9177617160310722864L;
  /** 字典id */
  private String dictId;

  /** 字典项文本 */
  private String itemText;

  /** 字典值 */
  private String itemValue;

  /** 描述 */
  private String description;

  /** 排序 */
  private Integer sort;

  /** 状态 */
  private Integer status;
}
