package com.tofly.base.entity.menu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel(value = "列权限查询")
public class ColumnAuthQuery implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "菜单id")
    private String menuId;

    @ApiModelProperty(value = "角色id")
    private List<String> roleIds;

    @ApiModelProperty(value = "创建id")
    private String creator;


}
