package com.tofly.base.entity.organization;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.base.server.common.data.TenantBaseEntity;
import com.tofly.base.server.common.data.constant.ModelConstants;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName(ModelConstants.Table.TK_ORGANIZATION_TABLE_NAME)
public class TkOrganizationEntity extends TenantBaseEntity {

  @TableField(updateStrategy = FieldStrategy.IGNORED)
  private String parentId;
  private String name;
  private int sort;
  private String remark;

  private String dingId;
  /** 部门管理人员**/
  private String adminUser;
  @TableField(exist = false)
  private String adminUsername;

}
