package com.tofly.base.entity.platform;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.base.server.common.data.TenantBaseEntity;
import com.tofly.base.server.common.data.constant.ModelConstants;
import lombok.Data;
import lombok.RequiredArgsConstructor;

/**
 * @author: 徐浩然
 * @desc: 平台定制
 * @date: 2021/12/3-18:20
 */
@Data
@RequiredArgsConstructor
@TableName(ModelConstants.Table.SYS_PLATFORM_DESIGN_TABLE_NAME)
public class SysPlatformDesignEntity extends TenantBaseEntity {
  private static final long serialVersionUID = 6761478750642927740L;
  /** 平台名称 */
  private String name;
  /** logo地址 */
  private String logo;
  /** icon图标地址 */
  private String icon;
  /** 背景图片地址 */
  private String background;
  /** 背景颜色 */
  private String backgroundColor;
  /** 版权信息 */
  private String copyright;
  /** 备案信息 */
  private String presentedOurselves;
  /** 域名 */
  private String domain;
}
