package com.tofly.base.entity.role;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author Mu
 * @date 2023-07-26
 *
 * @description (RoleMenuColumn实体类)
 */
@Data
@TableName("role_menu_column")
@ApiModel(value = "", description = "对象 roleMenuColumn")
public class RoleMenuColumn {

        /**
     * 主键
     */
        @TableId(type = IdType.ASSIGN_ID)
        @JsonFormat(shape = JsonFormat.Shape.STRING)
        @JsonSerialize(using = ToStringSerializer.class)
        @ExcelIgnore
    private Long id;
        /**
     * 配置id
     */
    private Long configId;
        /**
     * 是否可见 0 可见   1 隐藏
     */
    private String isVisible;
    /**
     * 角色id
     */
    private String roleId;
    /**
     * 创建人
     */
    private String creator;
}
