package com.tofly.base.entity.role;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.base.server.common.data.TenantBaseEntity;
import com.tofly.base.server.common.data.constant.ModelConstants;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName(ModelConstants.Table.SYS_ROLE_TABLE_NAME)
public class SysRoleEntity extends TenantBaseEntity {

  private static final long serialVersionUID = 3915852360063998830L;
  private String name;

  private String remark;

  private String roleType;

  private String code;

  private boolean enabled = true;
}
