package com.tofly.base.mapper.enterprise;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.base.entity.enterprise.SysEnterpriseEntity;
import com.tofly.base.server.common.data.dto.SysEnterpriseDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author: 徐浩然
 * @desc: 企业信息
 * @date: 2021/12/3-18:27
 */
@Mapper
public interface SysEnterpriseMapper extends BaseMapper<SysEnterpriseEntity> {
  /**
   * @param tenantId
   * @return
   */
  SysEnterpriseDTO get(@Param("tenantId") String tenantId);
}
