package com.tofly.base.mapper.role;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.base.entity.role.SysRolePermission;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface RolePermissionMapper extends BaseMapper<SysRolePermission> {
	
	
	List<Map<String,String>> getRolePermissionByRoleId(@Param("roleId")String roleId);
	
	List<Map<String,String>> getRolePermissionByUserId(@Param("userId")String userId);
	
}
