package com.tofly.base.mapper.user;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.base.entity.user.TkMessageConfigEntity;
import com.tofly.base.server.common.data.dto.MessageConfigDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MessageConfigMapper extends BaseMapper<TkMessageConfigEntity> {
  MessageConfigDTO getEnableConfigByMessageAndPlatform(
      @Param("messageType") String messageType,
      @Param("platformType") String platformType,
      @Param("tenantId") String tenantId);
}
