package com.tofly.base.mapper.user;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.tofly.base.entity.user.SysTenantEntity;
import com.tofly.base.server.common.data.dto.TenantDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Set;

@Mapper
public interface TenantMapper extends BaseMapper<SysTenantEntity> {
  Set<String> getTenantIdsByTenantIds(@Param("tenantIds") Collection<String> tenantIds);

  IPage<TenantDTO> getTenantPage(
      IPage<?> page,
      @Param("tenantName") String tenantName,
      @Param("defaultTenantId") String defaultTenantId);

  IPage<TenantDTO> getCurrentMonthExpireTenantPage(IPage<?> page);
}
