package com.tofly.base.server.common.data;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.base.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class TenantBaseEntity extends BaseEntity {

  private static final long serialVersionUID = -4315734960161684909L;

  private String tenantId;

  @TableField(fill = FieldFill.INSERT)
  private String creator;

  @TableField(fill = FieldFill.UPDATE)
  private String updater;

  @TableField(fill = FieldFill.INSERT)
  private Date createTime;

  @TableField(fill = FieldFill.UPDATE)
  private Date updateTime;

}
