package com.tofly.base.server.common.data.core.exception;

import com.tofly.base.server.common.data.core.message.ErrorMessage;
import org.springframework.http.HttpStatus;

public class EntityCreationException extends ToflylinksException {

  private static final long serialVersionUID = 5255597864949518781L;

  public EntityCreationException(String message) {
    super(ErrorMessage.BAD_PARAMETER.setMessage(message), HttpStatus.BAD_REQUEST);
  }
}
