package com.tofly.base.server.common.data.core.exception;

import com.tofly.base.server.common.data.core.message.ErrorMessage;
import lombok.Getter;

public class TkDataValidationException extends ThingsKitException {
  private static final long serialVersionUID = 3556952261254572635L;

  @Getter public boolean log = false;

  public TkDataValidationException(String message) {
    super(ErrorMessage.BAD_PARAMETER.setMessage(message));
  }

  public TkDataValidationException(String message, boolean log) {
    super(ErrorMessage.BAD_PARAMETER.setMessage(message));
    this.log = log;
  }
}
