package com.tofly.base.server.common.data.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.RequiredArgsConstructor;

import java.util.List;

@Data
@ApiModel(value = "区域信息")
@RequiredArgsConstructor
public class AreaInfoDTO {
  @ApiModelProperty(value = "省")
  private String nameProv;

  @ApiModelProperty(value = "省code")
  private Long codeProv;

  @ApiModelProperty(value = "市")
  private String nameCity;

  @ApiModelProperty(value = "市code")
  private Long codeCity;

  @ApiModelProperty(value = "区")
  private String nameCoun;

  @ApiModelProperty(value = "区code")
  private Long codeCoun;

  @ApiModelProperty(value = "县")
  private String nameTown;

  @ApiModelProperty(value = "县code")
  private Long codeTown;

  @ApiModelProperty(value = "国")
  private String nameCountry;

  @ApiModelProperty(value = "国code")
  private Long codeCountry;

  @ApiModelProperty(value = "省集合")
  private List<SysAreaDTO> provs;

  @ApiModelProperty(value = "市集合")
  private List<SysAreaDTO> cities;

  @ApiModelProperty(value = "区集合")
  private List<SysAreaDTO> couns;

  @ApiModelProperty(value = "县集合")
  private List<SysAreaDTO> towns;

  @ApiModelProperty(value = "国集合")
  private List<SysAreaDTO> countries;
}
