package com.tofly.base.server.common.data.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.RequiredArgsConstructor;

/**
 * @author: 徐浩然
 * @desc: APP定制
 * @date: 2021/12/3-18:23
 */
@Data
@ApiModel(value = "APP定制")
@RequiredArgsConstructor
public class SysAppDesignDTO extends BaseDTO {
  @ApiModelProperty(value = "平台名称")
  private String name;

  @ApiModelProperty(value = "logo地址")
  private String logo;

  @ApiModelProperty(value = "背景图片地址")
  private String background;

  @ApiModelProperty(value = "背景颜色")
  private String backgroundColor;

  @ApiModelProperty(value = "轮播图,地址\",\"分割")
  private String rotation;
}
