package com.tofly.base.server.common.data.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UserRoleDTO implements Serializable {
  private static final long serialVersionUID = -6930831157503627224L;

  @ApiModelProperty(value = "用户ID")
  private String userId;

  @ApiModelProperty(value = "角色ID")
  private String roleId;
}
