package com.tofly.base.server.common.data.dto.request;

import com.tofly.base.server.common.data.enums.MessageTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;


@Data
public class SendResetPasswordEmailMsg {
  @NotNull(message = "用户ID不能为空")
  private String userId;

  @NotEmpty(message = "消息类型不能为空字符串")
  private MessageTypeEnum messageTypeEnum;
}
