package com.tofly.base.server.common.data.enums;

import lombok.Getter;
import lombok.Setter;

public enum StatusEnum {
  OFFLINE("离线", 0),
  ONLINE("在线", 1),
  ENABLE("启用", 1),
  DISABLE("禁用", 0),
  NORMAL("正常", 1),
  PAUSE("暂停", 0),
  FAIL("失败", 0),
  SUCCESS("成功", 1),
  RUNNING("运行中",2),
  NOT_RUNNING("未执行",3);

  @Getter @Setter private String name;
  @Getter @Setter private Integer index;

  StatusEnum(String name, Integer index) {
    this.name = name;
    this.index = index;
  }
}
