package com.tofly.base.server.common.data.enums;

public enum TkRpcStatus {
  QUEUED("队列中"),
  SENT("已发送"),
  DELIVERED("发送成功"),
  SUCCESSFUL("响应成功"),
  TIMEOUT("超时"),
  EXPIRED("已过期"),
  FAILED("响应失败"),
  DELETED("已删除");
  String label;

  TkRpcStatus(String label) {
    this.label = label;
  }

  public static String getLabel(String name) {
    for (TkRpcStatus type : values()) {
      if (type.name().equals(name)) {
        return type.label;
      }
    }
    return null;
  }
}
