package com.tofly.base.server.utils;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@ConfigurationProperties(prefix = "account.info")
@Component
@Data
public class AccountProperties {
    private String emailSuffix;
    private String defaultPassword;
    private Boolean reset = false;
}
