package com.tofly.base.service.appdesign;


import com.tofly.base.entity.appdesign.SysAppDesignEntity;
import com.tofly.base.server.common.data.dto.SysAppDesignDTO;
import com.tofly.base.service.BaseService;

/**
 * @author: 徐浩然
 * @desc:
 * @date: 2021/12/3-18:40
 */
public interface SysAppDesignService extends BaseService<SysAppDesignEntity> {
  boolean save(SysAppDesignDTO sysAppDesignDTO, String tenantId);

  SysAppDesignDTO get(String tenantId);

  boolean update(SysAppDesignDTO sysAppDesignDTO, String tenantId);

  /**
   * 恢复出厂设置
   *
   * @return true 成功 false 失败
   */
  boolean factoryDataReset(String tenantId);
}
