package com.tofly.base.service.dic;

import com.tofly.base.server.common.data.dto.SysDictDTO;
import com.tofly.base.server.common.data.utils.tools.TkPageData;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;
import java.util.Set;

public interface SysDictService {
    TkPageData<SysDictDTO> page(Map<String, Object> queryMap);

    SysDictDTO saveSysDict(HttpServletRequest servletRequest, SysDictDTO sysDictDTO, String tenantId);

    boolean deleteSysDict(Set<String> sysDictIds);

    SysDictDTO updateSysDict(HttpServletRequest servletRequest,SysDictDTO sysDictDTO,String tenantId);

    SysDictDTO  getDictInfoByCode(String dictCode);

}
