package com.tofly.base.service.role;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.menu.ColumnAuthQuery;
import com.tofly.base.entity.menu.ColumnAuthVO;
import com.tofly.base.entity.role.RoleMenuColumn;
import com.tofly.base.server.common.data.utils.tools.TkPageData;

import java.util.List;

/**
 * @author Mu
 * @date 2023-07-26
 *
 * @description
 */
public interface RoleMenuColumnService extends IService<RoleMenuColumn> {

    /**
    * 分页查询
    * @param roleMenuColumn
    * @return
    */
    TkPageData<RoleMenuColumn> page(RoleMenuColumn roleMenuColumn);

    List<ColumnAuthVO> getColumnsByMenuAndRole(ColumnAuthQuery columnAuthQuery);
    List<ColumnAuthVO> getColumnsByMenuAndRoleVisible(ColumnAuthQuery columnAuthQuery);

    List<ColumnAuthVO> getColumnsByMenuAndRoleAdmin(ColumnAuthQuery columnAuthQuery);
}
