package com.tofly.base.service.user;

import com.tofly.base.entity.user.TkMessageTemplateEntity;
import com.tofly.base.server.common.data.dto.MessageTemplateDTO;
import com.tofly.base.server.common.data.utils.tools.TkPageData;
import com.tofly.base.service.BaseService;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface TkMessageTemplateService extends BaseService<TkMessageTemplateEntity>{

  TkPageData<MessageTemplateDTO> page(Map<String, Object> queryMap);

  MessageTemplateDTO saveMessageTemplate(MessageTemplateDTO templateDTO);

  boolean deleteMessageTemplate(Set<String> ids);

  MessageTemplateDTO updateMessageTemplate(MessageTemplateDTO templateDTO);

  /**
   * 查询模板信息
   * @param templateDTO 请求信息
   * @return MessageTemplateDTO模板信息
   */
  List<MessageTemplateDTO> findMessageTemplate(MessageTemplateDTO templateDTO);
}
