package com.tofly.base.service.user;

import com.tofly.base.server.common.data.dto.request.SmsReqDTO;
import com.tofly.base.server.common.data.enums.MsgTemplatePurposeEnum;

public interface TkSmsService {
  boolean sendSms(SmsReqDTO smsReqDTO);

  /**
   * 推送短信验证码
   * @param phoneNumber   手机号
   * @param purpose        模板用途
   * @return
   */
  boolean sendSmsCode(String phoneNumber, MsgTemplatePurposeEnum purpose);
}
