package com.tofly.report;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

@SpringBootApplication(exclude={MongoAutoConfiguration.class},
        scanBasePackages = {"org.jeecg.modules.jmreport","com.tofly"})
@EnableDiscoveryClient
public class PmsReportApplication {

    public static void main(String[] args) {
        SpringApplication.run(PmsReportApplication.class, args);
    }

}
