package com.tofly.pms.fegin;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author sheldon
 * @Description
 * @create 2024-05-06 10:49
 */
@FeignClient(contextId = "roleClient", value = "pms-base")
public interface RoleClient {
    @GetMapping("/api/yt/role/getHasRoleByUserId")
    Boolean getHasRoleByUserId(@RequestParam("userID") String userID, @RequestParam("roleName") String roleName);

}
