package com.tofly.pms.fegin.factory;

import com.tofly.pms.fegin.UserClient;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class UserClientFactory implements FallbackFactory<UserClient> {
    @Override
    public UserClient create(Throwable throwable) {
      log.error("=================》fallback reason was:  " + throwable.getMessage());
        return  new UserFeignClientHystrix();
    }
}
