package com.tofly.pms.glossary.enums;

public enum YnEnums {
    NO("0", "否"),
    YES("1", "是");

    private String code;
    private String desc;

    public static String YnEnums(String code) {
        for (YnEnums anEnum : YnEnums.values()) {
            if (anEnum.getCode().equals(code)) {
                return anEnum.getDesc();
            }
        }
        return null;
    }

    public static YnEnums getYnEnums(String code) {
        for (YnEnums type : YnEnums.values()) {
            if (type.getCode().equals(code)) {
                return type;
            }
        }
        return null;
    }

    YnEnums(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
