package com.tofly.pms.project.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tofly.pms.project.entity.ProjecTresW;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

 /**
 * 项目成果信息表;(TF_PM_PROJECTRES_W)表数据库访问层
 * @author : Xu'J
 * @date : 2023-12-19
 */
@Mapper
public interface ProjecTresWMapper extends BaseMapper<ProjecTresW>{
    /** 
     * 分页查询指定行数据
     *
     * @param page 分页参数
     * @param wrapper 动态查询条件
     * @return 分页对象列表
     */
    IPage<ProjecTresW> selectByPage(IPage<ProjecTresW> page , @Param(Constants.WRAPPER) Wrapper<ProjecTresW> wrapper);
}