package com.tofly.pms.project.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tofly.pms.project.entity.ProjectdevW;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

 /**
 * 项目研发信息表;(TF_PM_PROJECTDEV_W)表数据库访问层
 * @author : Xu'J
 * @date : 2023-12-19
 */
@Mapper
public interface ProjectDevWMapper extends BaseMapper<ProjectdevW>{
    /** 
     * 分页查询指定行数据
     *
     * @param page 分页参数
     * @param wrapper 动态查询条件
     * @return 分页对象列表
     */
    IPage<ProjectdevW> selectByPage(IPage<ProjectdevW> page , @Param(Constants.WRAPPER) Wrapper<ProjectdevW> wrapper);
}