package com.tofly.pms.project.vo;

import com.tofly.pms.project.entity.ProjectW;
import com.tofly.pms.project.service.ProjectWService;
import com.tofly.pms.utils.vocast.VoCast;
import com.tofly.pms.working.vo.TaskCountVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ProjectVo {
    @ApiModelProperty(value = "项目id")
    @VoCast(serviceClass = ProjectWService.class,valueClass = ProjectW.class)
    private Integer projectId;
    @ApiModelProperty(value = "项目名称")
    private String name;

    private List<TaskCountVo> taskCountVoList;

}
