package com.tofly.pms.testmanage.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.tofly.pms.utils.dict.Dict;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author sheldon
 * @Description
 * @create 2024-05-21 14:46
 */
@Data
public class BugInfoExcelModel {
    @ExcelProperty(value = "序号", index = 0)
    private String number;
    @ExcelProperty(value = "项目名称", index = 1)
    private String projectName;
    @ExcelProperty(value = "系统名称", index = 2)
    private String systemName;
    @ExcelProperty(value = "模块名称", index = 3)
    private String functionName;
    @ExcelProperty(value = "Bug标题", index = 4)
    private String title;
    @ExcelProperty(value = "紧急程度", index = 5)
    private String urgency;
    @ExcelProperty(value = "严重程度", index = 6)
    private String severity;
    @ExcelProperty(value = "负责人", index = 7)
    private String headUser;
    @ExcelProperty(value = "创建时间", index = 8)
    @DateTimeFormat("yyyy-MM-dd")
    private Date createTime;
    @ExcelProperty(value = "创建人", index = 9)
    private String createUserName;
    @ExcelProperty(value = "状态", index = 10)
    private String status;
    @ExcelProperty(value = "确认人", index = 11)
    private String sureUser;
    //    @Dict(code = "CSLX")
    @ExcelProperty(value = "测试类型", index = 12)
    private String testType;
    //    @Dict(code = "BUGLX")
    @ExcelProperty(value = "缺陷类型", index = 13)
    private String type;


}
