package com.tofly.pms.testmanage.entity;

import com.tofly.pms.fegin.UserClient;
import com.tofly.pms.fegin.vo.UserVo;
import com.tofly.pms.utils.dict.Dict;
import com.tofly.pms.utils.vocast.VoCast;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author sheldon
 * @Description
 * @create 2024-04-11 13:37
 */
@Data
public class StatisticsBug {
    @ApiModelProperty(value = "处理人/验证人", name = "userId")
    @VoCast(serviceClass = UserClient.class, isMulti = false, valueClass = UserVo.class)
    private String userId;
    @ApiModelProperty(value = "系统名称", name = "systemName")
    private String systemName;
    @ApiModelProperty(value = "统计类型", name = "statisticsType")
    @Dict(code = "YZCD")
    private String statisticsType;
    @ApiModelProperty(value = "统计数量", name = "num")
    private Integer num;
    @ApiModelProperty(value = "是否已经完成", name = "complete")
    private Boolean complete;
}
