package com.tofly.pms.testmanage.service;

import com.tofly.pms.base.service.BaseService;
import com.tofly.pms.testmanage.entity.SystemItem;
import com.tofly.pms.testmanage.vo.ItemPassCountVo;
import com.tofly.pms.testmanage.vo.ItemStatusVo;
import com.tofly.pms.testmanage.vo.SystemCommitContVo;
import com.tofly.pms.testmanage.vo.SystemPassCountVo;

import java.io.IOException;
import java.util.List;

/**
 * 测试系统功能清单表;(TF_PM_TESTSYSTEMITEM_W)表服务接口
 * @author : Xu'J
 * @date : 2023-12-19
 */
public interface SystemItemService extends BaseService<SystemItem> {
 List<ItemPassCountVo> itemThrowCount(List<Integer> itemIds);

 public List<SystemPassCountVo> systemPassCount(Integer projectId);


 List<SystemCommitContVo> sytemCommitRate(Integer projectId);

 List<ItemStatusVo> itemStatusCount(Integer projectId);

    String getFullNameByFunctionId(Integer functionId);

    String getSystemItemCode();

    List<String> getSystemItemCodeList(int length);

    void export(Integer systemId) throws IOException;
}