package com.tofly.pms.testmanage.service;

import com.tofly.pms.base.service.BaseService;
import com.tofly.pms.testmanage.entity.TestSystem;
import com.tofly.pms.testmanage.vo.BugGroupCountVo;
import com.tofly.pms.testmanage.vo.ProjectBugCountVo;

/**
 * 测试系统名称表;(TF_PM_TESTSYSTEM_W)表服务接口
 * @author : Xu'J
 * @date : 2023-12-19
 */
public interface TestSystemService  extends BaseService<TestSystem> {

    public ProjectBugCountVo projectCont(Integer projectId);

    BugGroupCountVo systemBugGroupCount(Integer systemId);

    ProjectBugCountVo projectContByProjectId(Integer projectId);
}