package com.tofly.pms.testmanage.vo;

import com.tofly.pms.testmanage.entity.TestSystem;
import com.tofly.pms.testmanage.service.TestSystemService;
import com.tofly.pms.utils.vocast.VoCast;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
@Data
public class SystemBugCountVo implements Serializable {
    @ApiModelProperty(value = "系统id")
    @VoCast(serviceClass = TestSystemService.class,valueClass = TestSystem.class)
    private Integer systemId;

    @ApiModelProperty(value = "提测率")
    private Double testRate=0d;
    @ApiModelProperty(value = "通过率")
    private Double passRate=0d;
}
