package com.tofly.pms.utils.easyListener.converter;

import cn.hutool.extra.spring.SpringUtil;
import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.converters.ReadConverterContext;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tofly.pms.project.entity.ProjectW;
import com.tofly.pms.project.service.ProjectWService;

public class ToProjectConverter implements Converter<Integer> {
    /**
     * 这里读的时候会调用
     *
     * @param context
     * @return
     */
    @Override
    public Integer convertToJavaData(ReadConverterContext<?> context) {
        final ProjectWService bean = SpringUtil.getBean(ProjectWService.class);
        final String data = context.getReadCellData().getStringValue();
        if(StringUtils.isNotBlank(data)){
            //通过name查找 id

            final ProjectW byname = bean.getOne(Wrappers.<ProjectW>lambdaQuery().eq(ProjectW::getName,data));
            return   byname.getId();


        }

        return  Integer.valueOf(0);
    }
}
