package com.tofly.pms.utils.file;

import com.fasterxml.jackson.databind.introspect.Annotated;
import com.fasterxml.jackson.databind.introspect.NopAnnotationIntrospector;
import org.springframework.stereotype.Component;

/**
 * 实体注解序列化拦截器
 */
@Component
public class ToflyFileAnnotationIntrospector extends NopAnnotationIntrospector {

    private static final long serialVersionUID = 1L;

    @Override
    public Object findSerializer(Annotated am) {
        ToflyFile toflyFile = am.getAnnotation(ToflyFile.class);
        if (toflyFile != null){
            return ToflyFile.class;
        }
        return null;
    }
}