//package com.tofly.pms.working.controller;
//
//import java.util.List;
//
//import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.domain.PageImpl;
//import org.springframework.data.domain.PageRequest;
//import org.springframework.http.ResponseEntity;
//import org.springframework.web.bind.annotation.*;
//import com.tofly.pms.working.entity.GroupW;
//import com.tofly.pms.working.service.GroupWService;
//
// /**
// * 项目计划分组表;(TF_PM_PLANGROUP_W)表控制层
// * @author : Xu'J
// * @date : 2023-12-19
// */
//@Api(tags = "项目计划分组表对象功能接口")
//@RestController
//@RequestMapping("/tfPmPlangroupW")
//public class GroupWController {
//    @Autowired
//    private GroupWService groupWService;
//
//    /**
//     * 通过ID查询单条数据
//     *
//     * @param id 主键
//     * @return 实例对象
//     */
//    @ApiOperation("通过ID查询单条数据")
//    @GetMapping("{id}")
//    public ResponseEntity<GroupW> queryById(Integer id){
//        return ResponseEntity.ok(groupWService.queryById(id));
//    }
//
//    /**
//     * 分页查询
//     *
//     * @param groupW 筛选条件
//     * @return 查询结果
//     */
//    @ApiOperation("分页查询")
//    @GetMapping
//    public ResponseEntity<Page<GroupW>> paginQuery(GroupW groupW, Page page){
//        final Page page1 = groupWService.page(page, new QueryWrapper<>(groupW));
//        return ResponseEntity.ok(page1);
//
//    }
//
//    /**
//     * 新增数据
//     *
//     * @param groupW 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("新增数据")
//    @PostMapping
//    public ResponseEntity<GroupW> add(GroupW groupW){
//        groupWService.save(groupW);
//        return ResponseEntity.ok(groupW);
//    }
//
//    /**
//     * 更新数据
//     *
//     * @param groupW 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("更新数据")
//    @PutMapping
//    public ResponseEntity<GroupW> edit(GroupW groupW){
//        groupWService.updateById(groupW);
//        return ResponseEntity.ok(groupW);
//    }
//
//    /**
//     * 通过主键删除数据
//     *
//     * @param id 主键
//     * @return 是否成功
//     */
//    @ApiOperation("通过主键删除数据")
//    @DeleteMapping
//    public ResponseEntity<Boolean> deleteById(Integer id){
//        return ResponseEntity.ok(groupWService.removeById(id));
//    }
//}