package com.tofly.pms.working.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 任务处理 dto
 */
@Data
public class TaskHandleDto {


    private String taskId;
    @ApiModelProperty(value = "耗费时间  单位 小时")
    private Double time;
    @ApiModelProperty(value = "处理说明")
    private String description;
    /** 处理类型 0指派 1 提交  2 确认  3驳回 */
    @ApiModelProperty(value = "处理类型 0指派 1 提交  2 确认  3驳回 ")
    private String type;
    @ApiModelProperty(value = "指派的人员 只有指派的时候需要用到")
    private String targetUser;

    private List<FileDto> urlListId;

}
