package com.tofly.pms.working.en;

import lombok.Getter;

@Getter
public enum HandleEnum {
    ASSIGN("0","指派","1"),
    COMMIT("1","提交","2")
    ,CONFIRM("2","确认","3")
    ,REJECT("3","驳回","4");
    private String type;
    private String note;
    /**
     * 该操作会进入下一个状态的值
     */
    private String targetStatus;

    HandleEnum(String type, String value,String targetStatus) {
        this.type = type;
        this.note = value;
        this.targetStatus = targetStatus;
    }
}
