package com.tofly.pms.working.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author sheldon
 * @Description 甘特图数据
 * @create 2024-04-26 10:08
 */
@Data
public class GanttData {

    @ApiModelProperty(value = "id", name = "id")
    private String id;
    @ApiModelProperty(value = "任务名称", name = "text")
    private String text;
    @ApiModelProperty(value = "计划开始时间", name = "startDate")
    private String startDate;
    @ApiModelProperty(value = "计划结束时间", name = "endDate")
    private String endDate;
    @ApiModelProperty(value = "持续时间", name = "duration")
    private String duration;
    @ApiModelProperty(value = "实际完成时间", name = "completeTime")
    private Date completeTime;
    @ApiModelProperty(value = "时间消耗比例", name = "progress")
    private Double progress;
    @ApiModelProperty("负责人名称")
    private String headerName;
    @ApiModelProperty("预估用时")
    private Integer predictWorkload;
    @ApiModelProperty("实际用时")
    private Integer factWorkload;
    @ApiModelProperty("关联工作")
    private String relationWork;
    @ApiModelProperty("项目名称")
    private String projectName;
    @ApiModelProperty("任务状态")
    private String status;
    @ApiModelProperty("负责人id")
    private String headerId;
    @ApiModelProperty("项目id")
    private Integer projectId;
    @ApiModelProperty("部门id")
    private String deptId;
}
