package com.tofly.pms.working.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author sheldon
 * @Description
 * @create 2024-04-15 9:11
 */
@ApiModel(value = "节假日", description = "节假日")
@TableName(value = "tf_pm_holidays_w", schema = "business")
@Data
public class Holidays {

    @ApiModelProperty(value = "id", name = "id")
    @TableId(type = IdType.AUTO)
    private String id;
    @ApiModelProperty(value = "节假日名称")
    private String holidayName;
    @ApiModelProperty(value = "节假日日期")
    private Date holidayDate;
    @TableField(exist = false)
    @ApiModelProperty(value = "节假日日期")
    private List<Date> holidayDateList;
    @ApiModelProperty(value = "类型：1：休息；2：上班")
    private Integer holidayType;
}
