package com.tofly.pms.working.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author sheldon
 * @Description
 * @create 2024-04-15 15:33
 */
@Data
public class WorkHoursExcelModel implements Serializable {
    private String fileName = "员工工时登记表";//文件名
    private List<List<String>> head = new ArrayList<>() {
        {
            add(List.of("所属部门"));
            add(List.of("员工姓名"));
            add(List.of("状态"));
            add(List.of("填报是否完整"));
        }
    };
    private List<List<Object>> dataList = new ArrayList<>();//数据集合
}
