package com.tofly.pms.working.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.pms.working.entity.TasklogW;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 任务日志表;(TF_PM_TASKLOG_W)表数据库访问层
 * @author : Xu'J
 * @date : 2023-12-19
 */
@Mapper
public interface TasklogWMapper  extends BaseMapper<TasklogW>{
     /**
      * 获取最大值+1
      * @param taskId
      * @return
      */
     public Integer getMaxSequenceAddOne(@Param("taskId") Integer taskId);

     List<Integer> getTaskIdList(@Param("isAll") Boolean isAll);

    List<TasklogW> selectByMaxIdForEachTaskId(@Param("taskIds") List<Integer> taskIds);
 }