package com.tofly.pms.working.service.impl;

import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.pms.working.entity.Editorlog;
import com.tofly.pms.working.mapper.EditorlogMapper;
import com.tofly.pms.working.service.EditorlogService;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author sheldon
 * @Description
 * @create 2024-05-14 13:52
 */
@Service
public class EditorlogServiceImpl extends ServiceImpl<EditorlogMapper, Editorlog> implements EditorlogService {
    @Override
    public Editorlog queryById(Integer id) {
        return null;
    }
    public boolean save(Editorlog editorlog){
        Assert.notNull(editorlog,"日志不能为空");
        Assert.notBlank(editorlog.getDataType(),"日志类型不能为空");
        Assert.notNull(editorlog.getDataId(),"日志数据id不能为空");
        Assert.notBlank(editorlog.getSource(),"原始数据不能为空");
        Assert.notBlank(editorlog.getChangedData(),"修改后的数据不能为空");
        Assert.notBlank(editorlog.getContent(),"修改的内容不能为空");
        editorlog.setCreateTime(new Date());
        return super.save(editorlog);
    }
}
