package com.tofly.pms.working.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.pms.working.entity.PlanList;
import com.tofly.pms.working.mapper.PlanListMapper;
import com.tofly.pms.working.service.PlanListService;
import com.tofly.pms.working.vo.PlanListCountVo;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class PlanListServiceImpl extends ServiceImpl<PlanListMapper, PlanList>
        implements PlanListService {

    @Override
    public PlanList queryById(Integer id)
    {
        final PlanList planList = baseMapper.selectOne(Wrappers.<PlanList>lambdaQuery().eq(PlanList::getId,id));
        return  planList;
    }

    @Override
    public List<PlanListCountVo> countPlanOverList(PlanList planList) {
        return baseMapper.countPlanOverList(planList);
    }
}
