package com.tofly.pms.working.vo;

import com.tofly.pms.utils.vocast.VoCast;
import com.tofly.pms.working.entity.PlanList;
import com.tofly.pms.working.service.PlanListService;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
@Data
public class PlanListCountVo implements Serializable {
    @ApiModelProperty(value = "计划清单")
    @VoCast(serviceClass = PlanListService.class,valueClass = PlanList.class)
    private Integer listId;
    @ApiModelProperty(value = "数量")
    private  Double taskCountTotal;
    @ApiModelProperty(value = "已关闭数量")
    private  Double taskCountClose;
    @ApiModelProperty(value = "人天总量")
    private Double workingDayTotal;
    @ApiModelProperty(value = "实际产生人天总量")
    private Double workingDay;

}
